> For the complete documentation index, see [llms.txt](https://docs.hos.accessacloud.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hos.accessacloud.com/atreemo-api/api-reference/atreemo-api-reference/loyalty-point.md).

# Loyalty Point

API method to manage loyalty points/stamps Standard API Responses 200 Success 401 Unauthorized (no valid access token provided) 403 Forbidden Forbidden (indicates you do not have access to this method) 404 Not Found (indicates invalid parameters or missing API endpoint) 500 Internal Server Error (indicates something went wrong on our end) for 200-level responses there is a field named ResponseStatus which will give you the status of the call : true Success false there is an error (you will find the error code and the description in the object Errors ) Possible Errors 2 Internal Error 3 Not authorized to use the brand requested or brand id is missing 4 No Data found 13 Invalid CtcID

## Get

> Get the loyalty details of the customer CtcID :Mandatory parameter, Acteol ID of the customer BrandID :Not mandatory parameter, only used if the instance contains multiple loyalty programs

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"LoyaltyPoint","description":"API method to manage loyalty points/stamps Standard API Responses 200 Success 401 Unauthorized (no valid access token provided) 403 Forbidden Forbidden (indicates you do not have access to this method) 404 Not Found (indicates invalid parameters or missing API endpoint) 500 Internal Server Error (indicates something went wrong on our end) for 200-level responses there is a field named ResponseStatus which will give you the status of the call : true Success false there is an error (you will find the error code and the description in the object Errors ) Possible Errors 2 Internal Error 3 Not authorized to use the brand requested or brand id is missing 4 No Data found 13 Invalid CtcID"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"LoyaltyPointOutput":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/APICallError"},"description":"Collection of errors if exist"},"ResponseData":{"allOf":[{"$ref":"#/components/schemas/GetCustomerLoyalty"}],"description":"Loyalty program details"},"ResponseStatus":{"type":"boolean","description":"True: if the action was succsessfully treated False: if there is an error"}}},"APICallError":{"type":"object","properties":{"ErrorCode":{"type":"integer","format":"int32","description":"The error code"},"ErrorDescription":{"type":"string","description":"The error description"}}},"GetCustomerLoyalty":{"type":"object","properties":{"CardsToken":{"type":"array","items":{"type":"string"},"description":"Collection of cards token linked to this customer"},"CurrentTiersName":{"type":"string","description":"the loyalty tiers name where the customer belongs to"},"CyclePointsBalance":{"type":"number","format":"double","description":"The points/stamps balance of current cycle (this will used only if the loyalty program will contains multiple thresholds)"},"LifeTimePoints":{"type":"number","format":"double","description":"The sum of points/stamps earned all time (from the first day of being a loyal cutomer)"},"LoyaltyCashBalance":{"type":"number","format":"double","description":"Cash balance of the requested customer"},"LoyaltyPointsBalance":{"type":"number","format":"double","description":"Points/Stamps balance of the requested customer"},"MemberNumbers":{"type":"array","items":{"type":"string"},"description":"Collection of member numbers linked to this customer"},"NextTiersName":{"type":"string","description":"the loyalty tiers name that the customer can achieve"},"PARTokens":{"type":"array","items":{"type":"string"},"description":"Collection of PAR token linked to this customer"},"PointsNeededForNextRewards":{"type":"number","format":"double","description":"The number of points/stamps to be earned to get the next reward (this will used only if the loyalty program will contains a threshold)"},"TierLastUpdatedDate":{"type":"string","format":"date-time","nullable":true,"description":"The last update date of tier change"},"TiersExpirationDate":{"type":"string","format":"date-time","nullable":true,"description":"the date when the customer will be downgraded"}}}},"responses":{"401":{"description":"Unauthorized (no valid access token provided). Wording from the Atreemo folder documentation; the response body for this status is not documented."},"403":{"description":"Forbidden (indicates you do not have access to this method). Wording from the Atreemo folder documentation; the response body for this status is not documented."},"404":{"description":"Not Found (indicates invalid parameters or missing API endpoint). Wording from the Atreemo folder documentation; the response body for this status is not documented."},"500":{"description":"Internal Server Error (indicates something went wrong on our end). Wording from the Atreemo folder documentation; the response body for this status is not documented."}}},"paths":{"/api/LoyaltyPoint/Get":{"get":{"operationId":"LoyaltyPointGet","summary":"Get","tags":["LoyaltyPoint"],"description":"Get the loyalty details of the customer CtcID :Mandatory parameter, Acteol ID of the customer BrandID :Not mandatory parameter, only used if the instance contains multiple loyalty programs","parameters":[{"name":"CtcID","in":"query","schema":{"type":"integer","format":"int32"},"description":"Native query parameter. CLR int CtcID in the pinned controller signature.","required":true},{"name":"BrandID","in":"query","schema":{"type":"integer","format":"int32","nullable":true},"description":"Native query parameter. CLR int? BrandID in the pinned controller signature.","required":false}],"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoyaltyPointOutput"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## GetCustomerPointsdetails

> Get the history of loyalty points of the requested customer CtcID :Mandatory parameter, Acteol ID of the customer BrandID :Not mandatory parameter, only used if the instance contains multiple loyalty programs

```json
{"openapi":"3.0.3","info":{"title":"Atreemo API","version":"0.1.0"},"tags":[{"name":"LoyaltyPoint","description":"API method to manage loyalty points/stamps Standard API Responses 200 Success 401 Unauthorized (no valid access token provided) 403 Forbidden Forbidden (indicates you do not have access to this method) 404 Not Found (indicates invalid parameters or missing API endpoint) 500 Internal Server Error (indicates something went wrong on our end) for 200-level responses there is a field named ResponseStatus which will give you the status of the call : true Success false there is an error (you will find the error code and the description in the object Errors ) Possible Errors 2 Internal Error 3 Not authorized to use the brand requested or brand id is missing 4 No Data found 13 Invalid CtcID"}],"servers":[{"url":"https://apim-hospitality-dev-uksouth.azure-api.net/atreemo-api","description":"Local DEV APIM import draft only; not a deployed endpoint announcement."}],"security":[{"AtreemoBearer":[]}],"components":{"securitySchemes":{"AtreemoBearer":{"type":"http","scheme":"bearer","description":"Atreemo access token obtained by the caller from the Atreemo instance `POST /token` endpoint (OAuth2 password grant) and sent as `Authorization: Bearer <token>`. See the Authorisation guide."}},"schemas":{"LoyaltyPointTransactionDetailsOutput":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/components/schemas/APICallError"},"description":"Collection of errors if exist"},"ResponseData":{"type":"array","items":{"$ref":"#/components/schemas/LoyaltyPointTransaction"},"description":"List of transaction details"},"ResponseStatus":{"type":"boolean","description":"True: if the action was succsessfully treated False: if there is an error"}}},"APICallError":{"type":"object","properties":{"ErrorCode":{"type":"integer","format":"int32","description":"The error code"},"ErrorDescription":{"type":"string","description":"The error description"}}},"LoyaltyPointTransaction":{"type":"object","properties":{"Amount":{"type":"number","format":"double","nullable":true,"description":"Amount"},"AmountEarned":{"type":"number","format":"double","nullable":true,"description":"Amount Earned"},"ExternalTransactionID":{"type":"string","description":"The external ID like TicketID or ReceiptID"},"LocationID":{"type":"string","description":"Location ID"},"LocationName":{"type":"string","description":"Location Name"},"NbPoints":{"type":"number","format":"double","description":"Number of points of this transaction"},"OrderId":{"type":"string","description":"Order ID"},"ReservationRef":{"type":"string","description":"Reservation Reference"},"TransactionDate":{"type":"string","format":"date-time","description":"The datetime of the transaction"},"TransactionDescription":{"type":"string","description":"The description of the transaction"},"TransactionType":{"type":"string","description":"It will be: - \"add\" if the transaction was adding points - \"redeem\" if the transaction was removing points"}}}},"responses":{"401":{"description":"Unauthorized (no valid access token provided). Wording from the Atreemo folder documentation; the response body for this status is not documented."},"403":{"description":"Forbidden (indicates you do not have access to this method). Wording from the Atreemo folder documentation; the response body for this status is not documented."},"404":{"description":"Not Found (indicates invalid parameters or missing API endpoint). Wording from the Atreemo folder documentation; the response body for this status is not documented."},"500":{"description":"Internal Server Error (indicates something went wrong on our end). Wording from the Atreemo folder documentation; the response body for this status is not documented."}}},"paths":{"/api/LoyaltyPoint/GetCustomerPointsdetails":{"get":{"operationId":"LoyaltyPointGetCustomerPointsdetails","summary":"GetCustomerPointsdetails","tags":["LoyaltyPoint"],"description":"Get the history of loyalty points of the requested customer CtcID :Mandatory parameter, Acteol ID of the customer BrandID :Not mandatory parameter, only used if the instance contains multiple loyalty programs","parameters":[{"name":"CtcID","in":"query","schema":{"type":"integer","format":"int32"},"description":"Native query parameter. CLR int CtcID in the pinned controller signature.","required":true},{"name":"BrandID","in":"query","schema":{"type":"integer","format":"int32","nullable":true},"description":"Native query parameter. CLR int? BrandID in the pinned controller signature.","required":false}],"responses":{"200":{"description":"OK (sample status in the public collection).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoyaltyPointTransactionDetailsOutput"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hos.accessacloud.com/atreemo-api/api-reference/atreemo-api-reference/loyalty-point.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
